Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5117)
@@ -1695,41 +1695,41 @@
 
 ! inputs:
-        integer annee_ref
-        integer nt_dice,nlev_dice
-        integer year_ini_dice
-        real day, day1,day_ini_dice,dt_dice
-        real shf_dice(nt_dice),lhf_dice(nt_dice),lwup_dice(nt_dice)
-        real swup_dice(nt_dice),tg_dice(nt_dice),ustar_dice(nt_dice)
-        real psurf_dice(nt_dice),ug_dice(nt_dice),vg_dice(nt_dice)
-        real ht_dice(nlev_dice,nt_dice),hq_dice(nlev_dice,nt_dice)
-        real hu_dice(nlev_dice,nt_dice),hv_dice(nlev_dice,nt_dice)
-        real w_dice(nlev_dice,nt_dice),omega_dice(nlev_dice,nt_dice)
+        INTEGER annee_ref
+        INTEGER nt_dice,nlev_dice
+        INTEGER year_ini_dice
+        REAL day, day1,day_ini_dice,dt_dice
+        REAL shf_dice(nt_dice),lhf_dice(nt_dice),lwup_dice(nt_dice)
+        REAL swup_dice(nt_dice),tg_dice(nt_dice),ustar_dice(nt_dice)
+        REAL psurf_dice(nt_dice),ug_dice(nt_dice),vg_dice(nt_dice)
+        REAL ht_dice(nlev_dice,nt_dice),hq_dice(nlev_dice,nt_dice)
+        REAL hu_dice(nlev_dice,nt_dice),hv_dice(nlev_dice,nt_dice)
+        REAL w_dice(nlev_dice,nt_dice),omega_dice(nlev_dice,nt_dice)
 ! outputs:
-        real tg_prof,shf_prof,lhf_prof,lwup_prof,swup_prof
-        real ustar_prof,psurf_prof,ug_prof,vg_prof
-        real ht_prof(nlev_dice),hq_prof(nlev_dice)
-        real hu_prof(nlev_dice),hv_prof(nlev_dice)
-        real w_prof(nlev_dice),omega_prof(nlev_dice)
+        REAL tg_prof,shf_prof,lhf_prof,lwup_prof,swup_prof
+        REAL ustar_prof,psurf_prof,ug_prof,vg_prof
+        REAL ht_prof(nlev_dice),hq_prof(nlev_dice)
+        REAL hu_prof(nlev_dice),hv_prof(nlev_dice)
+        REAL w_prof(nlev_dice),omega_prof(nlev_dice)
 ! local:
-        integer it_dice1, it_dice2,k
-        real timeit,time_dice1,time_dice2,frac
-
-
-        if (forcing_type.eq.7) THEN
+        INTEGER it_dice1, it_dice2,k
+        REAL timeit,time_dice1,time_dice2,frac
+
+
+        IF (forcing_type.EQ.7) THEN
 ! Check that initial day of the simulation consistent with Dice period:
        print *,'annee_ref=',annee_ref
        print *,'day1=',day1
        print *,'day_ini_dice=',day_ini_dice
-       if (annee_ref.ne.1999) THEN
+       IF (annee_ref.NE.1999) THEN
         PRINT*,'Pour Dice, annee_ref doit etre 1999'
         PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
-       if (annee_ref.eq.1999 .and. day1.gt.day_ini_dice) THEN
+       IF (annee_ref.EQ.1999 .AND. day1.gt.day_ini_dice) THEN
         PRINT*,'Dice a debute le 23 Oct 1999 (jour julien=296)'
         PRINT*,'Changer dayref dans run.def',day1,day_ini_dice
         stop
        endif
-       if (annee_ref.eq.1999 .and. day1.gt.day_ini_dice+2) THEN
+       IF (annee_ref.EQ.1999 .AND. day1.gt.day_ini_dice+2) THEN
         PRINT*,'Dice a fini le 25 Oct 1999 (jour julien=298)'
         PRINT*,'Changer dayref ou nday dans run.def',day1,day_ini_dice
@@ -1741,5 +1741,5 @@
 ! Determine timestep relative to the 1st day of TOGA-COARE:
 !       timeit=(day-day1)*86400.
-!       if (annee_ref.eq.1992) THEN
+!       if (annee_ref.EQ.1992) THEN
 !        timeit=(day-day_ini_dice)*86400.
 !       else
@@ -1754,5 +1754,5 @@
        time_dice2=(it_dice2-1)*dt_dice
 
-       if (it_dice1 .ge. nt_dice) THEN
+       IF (it_dice1 .ge. nt_dice) THEN
         WRITE(*,*) 'PB-stop: day, it_dice1, it_dice2, timeit: ',day,it_dice1,it_dice2,timeit/86400.
         stop
@@ -1808,36 +1808,36 @@
 
 ! inputs:
-        integer annee_ref
-        integer nt_gabls4,nlev_gabls4
-        integer year_ini_gabls4
-        real day, day1,day_ini_gabls4,dt_gabls4
-        real ug_gabls4(nlev_gabls4,nt_gabls4),vg_gabls4(nlev_gabls4,nt_gabls4)
-        real ht_gabls4(nlev_gabls4,nt_gabls4),hq_gabls4(nlev_gabls4,nt_gabls4)
-        real tg_gabls4(nt_gabls4), tg_prof
+        INTEGER annee_ref
+        INTEGER nt_gabls4,nlev_gabls4
+        INTEGER year_ini_gabls4
+        REAL day, day1,day_ini_gabls4,dt_gabls4
+        REAL ug_gabls4(nlev_gabls4,nt_gabls4),vg_gabls4(nlev_gabls4,nt_gabls4)
+        REAL ht_gabls4(nlev_gabls4,nt_gabls4),hq_gabls4(nlev_gabls4,nt_gabls4)
+        REAL tg_gabls4(nt_gabls4), tg_prof
 ! outputs:
-        real ug_prof(nlev_gabls4),vg_prof(nlev_gabls4)
-        real ht_prof(nlev_gabls4),hq_prof(nlev_gabls4)
+        REAL ug_prof(nlev_gabls4),vg_prof(nlev_gabls4)
+        REAL ht_prof(nlev_gabls4),hq_prof(nlev_gabls4)
 ! local:
-        integer it_gabls41, it_gabls42,k
-        real timeit,time_gabls41,time_gabls42,frac
+        INTEGER it_gabls41, it_gabls42,k
+        REAL timeit,time_gabls41,time_gabls42,frac
 
 
 
 ! Check that initial day of the simulation consistent with gabls4 period:
-       if (forcing_type.eq.8 ) THEN
+       IF (forcing_type.EQ.8 ) THEN
        print *,'annee_ref=',annee_ref
        print *,'day1=',day1
        print *,'day_ini_gabls4=',day_ini_gabls4
-       if (annee_ref.ne.2009) THEN
+       IF (annee_ref.NE.2009) THEN
         PRINT*,'Pour gabls4, annee_ref doit etre 2009'
         PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
-       if (annee_ref.eq.2009 .and. day1.gt.day_ini_gabls4) THEN
+       IF (annee_ref.EQ.2009 .AND. day1.gt.day_ini_gabls4) THEN
         PRINT*,'gabls4 a debute le 11 dec 2009 (jour julien=345)'
         PRINT*,'Changer dayref dans run.def',day1,day_ini_gabls4
         stop
        endif
-       if (annee_ref.eq.2009 .and. day1.gt.day_ini_gabls4+2) THEN
+       IF (annee_ref.EQ.2009 .AND. day1.gt.day_ini_gabls4+2) THEN
         PRINT*,'gabls4 a fini le 12 dec 2009 (jour julien=346)'
         PRINT*,'Changer dayref ou nday dans run.def',day1,day_ini_gabls4
@@ -1856,5 +1856,5 @@
        time_gabls42=(it_gabls42-1)*dt_gabls4
 
-       if (it_gabls41 .ge. nt_gabls4) THEN
+       IF (it_gabls41 .ge. nt_gabls4) THEN
         WRITE(*,*) 'PB-stop: day, it_gabls41, it_gabls42, timeit: ',day,it_gabls41,it_gabls42,timeit/86400.
         stop
@@ -1896,18 +1896,18 @@
 
 ! inputs:
-        integer annee_ref
-        integer nt_armcu,nlev_armcu
-        integer year_ini_armcu
-        real day, day1,day_ini_armcu,dt_armcu
-        real fs_armcu(nt_armcu),fl_armcu(nt_armcu),at_armcu(nt_armcu)
-        real rt_armcu(nt_armcu),aqt_armcu(nt_armcu)
+        INTEGER annee_ref
+        INTEGER nt_armcu,nlev_armcu
+        INTEGER year_ini_armcu
+        REAL day, day1,day_ini_armcu,dt_armcu
+        REAL fs_armcu(nt_armcu),fl_armcu(nt_armcu),at_armcu(nt_armcu)
+        REAL rt_armcu(nt_armcu),aqt_armcu(nt_armcu)
 ! outputs:
-        real fs_prof,fl_prof,at_prof,rt_prof,aqt_prof
+        REAL fs_prof,fl_prof,at_prof,rt_prof,aqt_prof
 ! local:
-        integer it_armcu1, it_armcu2,k
-        real timeit,time_armcu1,time_armcu2,frac
+        INTEGER it_armcu1, it_armcu2,k
+        REAL timeit,time_armcu1,time_armcu2,frac
 
 ! Check that initial day of the simulation consistent with ARMCU period:
-       if (annee_ref.ne.1997 ) THEN
+       IF (annee_ref.NE.1997 ) THEN
         PRINT*,'Pour ARMCU, annee_ref doit etre 1997 '
         PRINT*,'Changer annee_ref dans run.def'
@@ -1926,5 +1926,5 @@
      &          it_armcu1,it_armcu2,time_armcu1,time_armcu2
 
-       if (it_armcu1 .ge. nt_armcu) THEN
+       IF (it_armcu1 .ge. nt_armcu) THEN
         WRITE(*,*) 'PB-stop: day, it_armcu1, it_armcu2, timeit: '          &
      &        ,day,it_armcu1,it_armcu2,timeit/86400.
@@ -1963,8 +1963,8 @@
       IMPLICIT NONE
 
-        integer nlev_max,kmax,kmax2,ntrac
-        logical :: llesread = .TRUE.
-
-        real height(nlev_max),thlprof(nlev_max),qtprof(nlev_max),          &
+        INTEGER nlev_max,kmax,kmax2,ntrac
+        LOGICAL :: llesread = .TRUE.
+
+        REAL height(nlev_max),thlprof(nlev_max),qtprof(nlev_max),          &
      &       uprof(nlev_max),vprof(nlev_max),e12prof(nlev_max),            &
      &       ugprof(nlev_max),vgprof(nlev_max),wfls(nlev_max),             &
@@ -1972,13 +1972,13 @@
      &           thlpcar(nlev_max),tracer(nlev_max,ntrac)
 
-        real height1(nlev_max)
-
-        integer, parameter :: ilesfile=1
+        REAL height1(nlev_max)
+
+        INTEGER, parameter :: ilesfile=1
         INTEGER :: ierr,k,itrac,nt1,nt2
 
-        IF(.not.(llesread)) return
+        IF(.NOT.(llesread)) return
 
        open (ilesfile,file='prof.inp.001',status='old',iostat=ierr)
-        if (ierr /= 0) stop 'ERROR:Prof.inp does not exist'
+        IF (ierr /= 0) stop 'ERROR:Prof.inp does not exist'
         read (ilesfile,*) kmax
         do k=1,kmax
@@ -1989,7 +1989,7 @@
 
        open(ilesfile,file='lscale.inp.001',status='old',iostat=ierr)
-        if (ierr /= 0) stop 'ERROR:Lscale.inp does not exist'
+        IF (ierr /= 0) stop 'ERROR:Lscale.inp does not exist'
         read (ilesfile,*) kmax2
-        if (kmax .ne. kmax2) THEN
+        IF (kmax .NE. kmax2) THEN
           print *, 'fichiers prof.inp et lscale.inp incompatibles :'
           print *, 'nbre de niveaux : ',kmax,' et ',kmax2
@@ -2001,5 +2001,5 @@
         END DO
         do k=1,kmax
-          if (height(k) .ne. height1(k)) THEN
+          IF (height(k) .NE. height1(k)) THEN
             print *, 'fichiers prof.inp et lscale.inp incompatibles :'
             print *, 'les niveaux different : ',k,height1(k), height(k)
@@ -2010,12 +2010,12 @@
 
        open(ilesfile,file='trac.inp.001',status='old',iostat=ierr)
-        if (ierr /= 0) THEN
+        IF (ierr /= 0) THEN
             PRINT*,'WARNING : trac.inp does not exist'
         else
         read (ilesfile,*) kmax2,nt1,nt2
-        if (nt2>ntrac) THEN
+        IF (nt2>ntrac) THEN
           stop 'Augmenter le nombre de traceurs dans traceur.def'
         endif
-        if (kmax .ne. kmax2) THEN
+        IF (kmax .NE. kmax2) THEN
           print *, 'fichiers prof.inp et lscale.inp incompatibles :'
           print *, 'nbre de niveaux : ',kmax,' et ',kmax2
@@ -2036,19 +2036,19 @@
       IMPLICIT NONE
 
-        integer nlev_max,kmax
-        logical :: llesread = .TRUE.
-
-        real height(nlev_max),pprof(nlev_max),tprof(nlev_max)
-        real thlprof(nlev_max)
-        real qprof(nlev_max),uprof(nlev_max),vprof(nlev_max)
-        real wprof(nlev_max),omega(nlev_max),o3mmr(nlev_max)
-
-        integer, parameter :: ilesfile=1
+        INTEGER nlev_max,kmax
+        LOGICAL :: llesread = .TRUE.
+
+        REAL height(nlev_max),pprof(nlev_max),tprof(nlev_max)
+        REAL thlprof(nlev_max)
+        REAL qprof(nlev_max),uprof(nlev_max),vprof(nlev_max)
+        REAL wprof(nlev_max),omega(nlev_max),o3mmr(nlev_max)
+
+        INTEGER, parameter :: ilesfile=1
         INTEGER :: k,ierr
 
-        IF(.not.(llesread)) return
+        IF(.NOT.(llesread)) return
 
        open (ilesfile,file='prof.inp.001',status='old',iostat=ierr)
-        if (ierr /= 0) stop 'ERROR:Prof.inp does not exist'
+        IF (ierr /= 0) stop 'ERROR:Prof.inp does not exist'
         read (ilesfile,*) kmax
         do k=1,kmax
@@ -2068,19 +2068,19 @@
       IMPLICIT NONE
 
-        integer nlev_max,kmax
-        logical :: llesread = .TRUE.
-
-        real height(nlev_max),pprof(nlev_max),tprof(nlev_max),             &
+        INTEGER nlev_max,kmax
+        LOGICAL :: llesread = .TRUE.
+
+        REAL height(nlev_max),pprof(nlev_max),tprof(nlev_max),             &
      &  thlprof(nlev_max),qlprof(nlev_max),qtprof(nlev_max),               &
      &  qvprof(nlev_max),uprof(nlev_max),vprof(nlev_max),                  &
      &  wprof(nlev_max),tkeprof(nlev_max),o3mmr(nlev_max)
 
-        integer, parameter :: ilesfile=1
+        INTEGER, parameter :: ilesfile=1
         INTEGER :: ierr,k
 
-        IF(.not.(llesread)) return
+        IF(.NOT.(llesread)) return
 
        open (ilesfile,file='prof.inp.001',status='old',iostat=ierr)
-        if (ierr /= 0) stop 'ERROR:Prof.inp does not exist'
+        IF (ierr /= 0) stop 'ERROR:Prof.inp does not exist'
         read (ilesfile,*) kmax
         do k=1,kmax
@@ -2102,17 +2102,17 @@
       IMPLICIT NONE
 
-        integer nlev_max,kmax
-        logical :: llesread = .TRUE.
-
-        real height(nlev_max),pprof(nlev_max),tprof(nlev_max)
-        real thetaprof(nlev_max),rvprof(nlev_max)
-        real qvprof(nlev_max),uprof(nlev_max),vprof(nlev_max)
-        real aprof(nlev_max+1),bprof(nlev_max+1)
-
-        integer, parameter :: ilesfile=1
-        integer, parameter :: ifile=2
+        INTEGER nlev_max,kmax
+        LOGICAL :: llesread = .TRUE.
+
+        REAL height(nlev_max),pprof(nlev_max),tprof(nlev_max)
+        REAL thetaprof(nlev_max),rvprof(nlev_max)
+        REAL qvprof(nlev_max),uprof(nlev_max),vprof(nlev_max)
+        REAL aprof(nlev_max+1),bprof(nlev_max+1)
+
+        INTEGER, parameter :: ilesfile=1
+        INTEGER, parameter :: ifile=2
         INTEGER :: ierr,jtot,k
 
-        IF(.not.(llesread)) return
+        IF(.NOT.(llesread)) return
 
 ! Read profiles at full levels
@@ -2124,5 +2124,5 @@
        print *,'On ouvre prof.inp.40'
        ENDIF
-        if (ierr /= 0) stop 'ERROR:Prof.inp does not exist'
+        IF (ierr /= 0) stop 'ERROR:Prof.inp does not exist'
         read (ilesfile,*) kmax
         do k=1,kmax
@@ -2136,9 +2136,9 @@
        open (ifile,file='proh.inp.19',status='old',iostat=ierr)
        print *,'On ouvre proh.inp.19'
-       if (ierr /= 0) stop 'ERROR:Proh.inp.19 does not exist'
+       IF (ierr /= 0) stop 'ERROR:Proh.inp.19 does not exist'
        ELSE
        open (ifile,file='proh.inp.40',status='old',iostat=ierr)
        print *,'On ouvre proh.inp.40'
-       if (ierr /= 0) stop 'ERROR:Proh.inp.40 does not exist'
+       IF (ierr /= 0) stop 'ERROR:Proh.inp.40 does not exist'
        ENDIF
         read (ifile,*) kmax
@@ -2159,9 +2159,9 @@
 
 
-      use netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
+      USE netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
             nf90_inq_dimid,nf90_inquire_dimension
       IMPLICIT NONE
 
-      integer ntime,nlevel
+      INTEGER ntime,nlevel
       character*80 :: fich_fire
       real*8 zz(nlevel)
@@ -2174,11 +2174,11 @@
       real*8 dqtdt(nlevel,ntime),thl_rad(nlevel,ntime)
 
-      integer nid, ierr
-      integer nbvar3d
+      INTEGER nid, ierr
+      INTEGER nbvar3d
       parameter(nbvar3d=30)
-      integer var3didin(nbvar3d)
+      INTEGER var3didin(nbvar3d)
 
       ierr = nf90_open(fich_fire,nf90_nowrite,nid)
-      if (ierr.NE.nf90_noerr) THEN
+      IF (ierr.NE.nf90_noerr) THEN
          WRITE(*,*) 'ERROR: Pb opening forcings nc file '
          WRITE(*,*) nf90_strerror(ierr)
@@ -2369,5 +2369,5 @@
 !program reading initial profils and forcings of the Dice case study
 
-      use netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
+      USE netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
             nf90_inq_dimid,nf90_inquire_dimension
 
@@ -2376,6 +2376,6 @@
       INCLUDE "YOMCST.h"
 
-      integer ntime,nlevel
-      integer l,k
+      INTEGER ntime,nlevel
+      INTEGER l,k
       character*80 :: fich_dice
       real*8 time(ntime)
@@ -2390,12 +2390,12 @@
       real*8 pzero
 
-      integer nid, ierr
-      integer nbvar3d
+      INTEGER nid, ierr
+      INTEGER nbvar3d
       parameter(nbvar3d=30)
-      integer var3didin(nbvar3d)
+      INTEGER var3didin(nbvar3d)
 
       pzero=100000.
       ierr = nf90_open(fich_dice,nf90_nowrite,nid)
-      if (ierr.NE.nf90_noerr) THEN
+      IF (ierr.NE.nf90_noerr) THEN
          WRITE(*,*) 'ERROR: Pb opening forcings nc file '
          WRITE(*,*) nf90_strerror(ierr)
@@ -2703,11 +2703,11 @@
 !program reading initial profils and forcings of the Gabls4 case study
 
-      use netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
+      USE netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
             nf90_inq_dimid,nf90_inquire_dimension
 
       IMPLICIT NONE
 
-      integer ntime,nlevel,nsol
-      integer l,k
+      INTEGER ntime,nlevel,nsol
+      INTEGER l,k
       character*80 :: fich_gabls4
       real*8 time(ntime)
@@ -2727,11 +2727,11 @@
       real*8 depth_sn(nsol),tsnow(nsol),snow_dens(nsol)
       real*8 tg(ntime)
-      integer nid, ierr
-      integer nbvar3d
+      INTEGER nid, ierr
+      INTEGER nbvar3d
       parameter(nbvar3d=30)
-      integer var3didin(nbvar3d)
+      INTEGER var3didin(nbvar3d)
 
       ierr = nf90_open(fich_gabls4,nf90_nowrite,nid)
-      if (ierr.NE.nf90_noerr) THEN
+      IF (ierr.NE.nf90_noerr) THEN
          WRITE(*,*) 'ERROR: Pb opening forcings nc file '
          WRITE(*,*) nf90_strerror(ierr)
@@ -2949,16 +2949,16 @@
       INCLUDE "YOMCST.h"
 
-      real albsfc(ncm_1), albsfc_w(ncm_1)
-      real cf(nlev_circ), icefra(nlev_circ), deice(nlev_circ), &
+      REAL albsfc(ncm_1), albsfc_w(ncm_1)
+      REAL cf(nlev_circ), icefra(nlev_circ), deice(nlev_circ), &
            reliq(nlev_circ), reice(nlev_circ), lwp(nlev_circ), iwp(nlev_circ)
-      real t(nlev_circ+1), z(nlev_circ+1), dz(nlev_circ), p(nlev_circ+1)
-      real aer_beta(nlev_circ), waer(nlev_circ), gaer(nlev_circ)
-      real pm(nlev_circ), tm(nlev_circ), h2o(nlev_circ), o3(nlev_circ)
-      real co2(nlev_circ), n2o(nlev_circ), co(nlev_circ), ch4(nlev_circ), &
+      REAL t(nlev_circ+1), z(nlev_circ+1), dz(nlev_circ), p(nlev_circ+1)
+      REAL aer_beta(nlev_circ), waer(nlev_circ), gaer(nlev_circ)
+      REAL pm(nlev_circ), tm(nlev_circ), h2o(nlev_circ), o3(nlev_circ)
+      REAL co2(nlev_circ), n2o(nlev_circ), co(nlev_circ), ch4(nlev_circ), &
            o2(nlev_circ), ccl4(nlev_circ), f11(nlev_circ), f12(nlev_circ)
 !     za= zenital angle
 !     sza= cosinus angle zenital
-      real wavn(ncm_1), ssf(ncm_1),za,sza
-      integer nlev
+      REAL wavn(ncm_1), ssf(ncm_1),za,sza
+      INTEGER nlev
 
 
@@ -3053,7 +3053,7 @@
       INCLUDE "YOMCST.h"
 
-      real t(nlev_rtmip), pt(nlev_rtmip),pb(nlev_rtmip),h2o(nlev_rtmip), o3(nlev_rtmip)
-      real temp(nlev_rtmip), play(nlev_rtmip),ovap(nlev_rtmip), oz(nlev_rtmip),plev(nlev_rtmip+1)
-      integer nlev
+      REAL t(nlev_rtmip), pt(nlev_rtmip),pb(nlev_rtmip),h2o(nlev_rtmip), o3(nlev_rtmip)
+      REAL temp(nlev_rtmip), play(nlev_rtmip),ovap(nlev_rtmip), oz(nlev_rtmip),plev(nlev_rtmip+1)
+      INTEGER nlev
 
 
